/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strnlen.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mmeisson <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/12/11 11:01:05 by mmeisson          #+#    #+#             */
/*   Updated: 2018/12/11 11:01:16 by mmeisson         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include <stdlib.h>

size_t		ft_strnlen(const char *str, size_t n)
{
	size_t		i;

	i = 0;
	while (str[i] != 0 && i < n)
	{
		i++;
	}
	return (i);
}
